Get Workflow Timeline

GET/flexscan-api/rest/v1/audit/workflows/{correlationId}

This API returns the complete ordered event chain for a single workflow identified by its correlation ID. Events are sorted by receivedAt and sequenceNumber.

Input parametersInput parameters

Parameter Mandatory/Optional Data Type Description
correlationId Mandatory String (path) Workflow correlation ID (obtained from the audit trail or scan log)

Sample - Get workflow timeline for the specified correlationIDSample - Get workflow timeline for the specified correlationID

API Request

curl -X GET \
  '<qualys_gateway_url>/flexscan-api/rest/v1/audit/workflows/gcp-scan-corr-001' \
  -H 'Authorization: Bearer <qas-jwt-token>'

API Response

{
  "data": {
    "correlationId": "gcp-scan-corr-001",
    "eventCategory": "SCAN",
    "cloudType": "GCP",
    "serviceAccountId": "my-gcp-project-XXXX",
    "status": "SUCCESS",
    "startedAt": "2026-05-28T10:00:00Z",
    "lastEventAt": "2026-05-28T11:00:00Z",
    "totalEvents": 8,
    "events": [
      {
        "eventId": "evt-001",
        "eventType": "ROOT",
        "stepType": "ROOT",
        "status": "SUCCESS",
        "receivedAt": "2026-05-28T10:00:00Z",
        "sequenceNumber": 1,
        "details": {}
      },
      {
        "eventId": "evt-002",
        "eventType": "DISCOVER_TARGET_VMS",
        "stepType": "DISCOVER_TARGET_VMS",
        "status": "SUCCESS",
        "receivedAt": "2026-05-28T10:05:00Z",
        "sequenceNumber": 2,
        "details": {}
      }
    ]
  },
  "errors": [],
  "meta": {
    "timestamp": "2026-05-28T11:30:00Z"
  }
}